openapi: 3.1.0
info:
  version: '25.3.7.3'
  title: Introduction
  summary: Vincere API
  termsOfService: 'https://www.vincere.io/terms-of-service'
  contact:
    name: Support
    email: support@vincere.io
  x-changelog:
    name: Changelog
    url: ./changelog.html
  description: |
    **Last updated date:** 2026-09-14


    Vincere API allows using HTTP requests to access the environment's data and control the application without opening its graphical interface. This allows you to return information or manipulate the data according to your business needs.

    ## **Vincere Data Model Concept**
    In Vincere, the data structure is segregated into 5 data models (Endpoints):

    - **Company:** Company basic information consists of Company Name, Locations, Note, Documents etc. 

    - **Contact:** Contact consists of the client's contact basic information. It includes contact name, job title, company name, phones, emails, activities, documents etc. 

    - **Job:** Job consists of job title, job description, job notes, job types etc.

    - **Candidate:** Candidate consists of various candidate information which includes, candidate basic information, work history, activities, resume etc.

    - **Job Application:** This is the candidate's job application that links the candidate with the job. It consists of the application stages (Shortlisted to Placed), status and sub status of the application.

    ## **URLs**
    All APIv2 access is over HTTPS. HTTP requests will be redirected to HTTPS. The APIv2 should be accessed using a Vincere account specific domain **https://&lt;yourdomain&gt;.vincere.io/api/v2/**

    ## **Content-Type Data In / Out**
    The Vincere API accepts and returns data in specific CONTENT-TYPE. This format type must be specified in the HTTP Body.

    | <div style="width:200px">HTTP Method</div>|<div style="width:200px">Content-Type Data In</div>|<div style="width:200px">Content-Type Data Out</div>|<div style="width:200px">Remarks</div>
    |:---------|:--------------------|:---------------------|:-------
    `GET` | ANY TYPE | JSON | Retrieves a resource representation without modifying it.
    `POST` | JSON | JSON | Creates a resource and used to search for a criteria
    `PUT` | JSON | JSON | Updates a resource that requires all payload to be existing.
    `PATCH` | JSON | JSON | Makes a partial update on a resource. Does not replace the entire resource.
    `DELETE` | ANY TYPE | JSON | Removes an entire resource.
          
    ## **API Authentication Flow**
    Before you can make a call to the Vincere APIv2, your request must be authenticated using Vincere's OAuth2 flow with an `authorization code` grant process. If you are new to OAuth2, you can read the following [introduction](https://www.digitalocean.com/community/tutorials/an-introduction-to-oauth-2).

    ## **API Terms Glossary**
    **Identity Service**: Vincere service hosted at https://id.vincere.io responsible for accepting OAuth2 requests to authorize Vincere users.

    **Vincere User**: Any user that has login credentials to the target Vincere account. A Vincere admin user is a user with the administrator role.

    **Application Developer**: You as a third-party or Vincere user who would like to make API requests to a Vincere account on behalf of a Vincere user.

    **Client App**: Application the *application developer* is building that requires access to a Vincere account using this API.

    **Api Key**: Required key that must be included with all API requests to a Vincere account. API keys can be requested from an admin user of the Vincere account.

    **Client Id**: Unique identifier that identifies your third-party application or Vincere account attempting to request authorization credentials on behalf of a Vincere user. Client ids can be requested from an admin user of the Vincere account.

    **Callback URL**: URL provided by the third-party application that will receive the *authorization code* for authorization requests. It must be configured by an admin user of the Vincere account before making OAuth2 authorization requests.

    **Authorization Code**: Special code that is valid for 3-minutes and forwarded to the registered *callback url* after a Vincere user successfully logs in and authorizes the third-party application to make API requests on their behalf. It must be sent to the *identity service* to swap for an *id token* and *refresh token*.

    **Id Token**: Token required in all API requests that grants identification and access to the Vincere account API resources. It is generated by sending a grant request to the *identity service* that contains either a valid *authorization code* or a valid *refresh token*.

    **Refresh Token**: Special token used instead of the *authorization code* to perpetually generate new *id tokens* by sending to the *identity service*. It is valid for 10 years or until manually revoked by Vincere. It must be kept securely on the third-party application's backend servers. For instance it should never be stored in a client device or browser session.

    ## **How to Use - Vincere API  "Try It" Feature**
    ### Prerequisite Setup
    As the Application Developer or a Vincere Admin User, you must have your environment's credentials ready for the following steps below. If not, please contact our Vincere Support Team for assistance.

    ### Setup

    1. Head over to the API Server tab and add your environment's sub-domain under the Server Variable's `tenant` field.


    ```
    Example:

    Placeholder API Server: https://{tenant}.vincere.io/api/v2
    After adding a sub-domain: https://vincere-rec.vincere.io/api/v2
    ```
    2. Navigate to the Authentication tab and set your `client_id` and click on `GET TOKEN` to Authenticate.
    3. When you have entered the correct credentials to authentication, add your `api-key` and click `SET`.
    4. Once you've done the steps above, you are now able to try calling the API by fullfilling the resource's required fields.

    ## **How to Use - Vincere API Manual Authentication Process**
    ### Prerequisite Setup
    As the Application Developer or a Vincere Admin User, you must give your `redirect_uri` (callback url) to the Vincere support team. Vincere credentials, inclusive of Client ID and API Key, are created by Vincere.

    ### Generate ID Token
    Use the cURL below and replace the following parameters based on your environment's credentials

    ```
    curl --location 'https://id.vincere.io/oauth2/authorize?client_id=xxxxx-xxxxx-xxxxx-xxxxx-xxxxx&state=STATE&redirect_uri=https://your_callback_url&response_type=code' \
    --header 'Content-Type: application/x-www-form-urlencoded'
    ```
    | <div style="width:200px">Parameter</div>|<div style="width:200px">Value</div>|<div style="width:200px">Remarks</div>
    |:---------|:--------------------|:---------------------
    `response_type` | string | This must be the `code`
    `client_id` | string | This is the client id provided by Vincere Support
    `redirect_uri` | string | This is the callback url you provide
    `state` | string | Any urlencoded string to pass along to the callback url to track state within the client app

    ### Authentication
    A login page will be displayed which will then require your Vincere User account. Upon successful login, will be forwarded to your callback url with the following signature:
    ```
    https://(callback url)?code=(authorization code)&state=STATE
    ```

    ### Authorization
    Once the code is retrieved, an authorization is required to fetch an id-token
    ```
    curl --location --request POST 'https://id.vincere.io/oauth2/token' -d 'client_id=xxxxx-xxxxx-xxxxx-xxxxx-xxxxx&grant_type=authorization_code&code=xxxxxxx' \
    --header 'Content-Type: application/x-www-form-urlencoded'
    ```

    Header|Value    
    :--- |:---------
    `Content-Type` | application/x-www-form-urlencoded

    Body | Value | Remarks
    :--- |:--------- |:-------------------- 
    `client_id` | string | This is the client id provided by Vincere Support
    `code` | string | This is the callback url you provide
    `grant_type` | string | The value must be set as `authorization_code`

    Response | Value | Remarks
    :--- |:--------- |:-------------------- 
    `access_token` | string | This token type is not used with the Vincere API Authentication flow.
    `refresh_token` | string | Token required to subsequently acquire new *id token* values. This must be stored securely in a backend service and never on a client device or browser.
    `id token` | string | A short lived token that identifies and grants access to the Vincere API on behalf of the *Vincere user* that authorized the *client app*. It expires in 1 hour and must be refreshed with the *refresh token* to continue accessing.
    `token_type` | string | This type will be always set as `Bearer`
    `expires_in` | integer | The number of seconds the *id token* is valid for.

    ### Refresh ID Token
    When your *id token* has expired. You can send a `grant_type=refresh_token` request similar to the `code` flow above to get a new *id token*.
    ```
    curl --location --request POST 'https://id.vincere.io/oauth2/token' -d 'client_id=xxxxx-xxxxx-xxxxx-xxxxx-xxxxx&grant_type=refresh_token&code=xxxxxxx&refresh_token=xxxxx-xxxxx-xxxxx-xxxxx-xxxxx' \
    --header 'Content-Type: application/x-www-form-urlencoded'
    ```

    Header  | Value    
    :--- |:--------- | 
    `Content-Type` | application/x-www-form-urlencoded

    Body | Value | Remarks
    :--- |:--------- |:-------------------- 
    `client_id` | string | This is the client id provided by Vincere Support
    `refresh_token` | string | The *refresh token* saved from the `code` flow above.
    `grant_type` | string | This must be the `refresh_token`
    `code` | string | This is the callback url you provide

    Response | Value | Remarks
    :--- |:--------- |:-------------------- 
    `access_token` | string | This token type is not used with the Vincere API Authentication flow.
    `id token` | string | A short lived token that identifies and grants access to the Vincere API on behalf of the *Vincere user* that authorized the *client app*. It expires in 1 hour and must be refreshed with the *refresh token* to continue accessing.
    `token_type` | string | This type will be always set as `Bearer`.
    `expires_in` | integer | The number of seconds the *id token* is valid for.

    ## **Calling the Vincere APIv2**
    After you have acquired an authorized and valid *id token*, you can make API requests to the Vincere account on behalf of the *Vincere user* that made the authorization.


    ```
    Example - GET: Candidate Details

    curl --location 'https://zenith.vincere.io/api/v2/candidate/' \
    --header 'id-token: xxxxx-xxxxx-xxxxx-xxxxx-xxxxx' \
    --header 'x-api-key: xxxxx-xxxxx-xxxxx-xxxxx-xxxxx' \
    --data ''
    ```

    Headers | Value | Remarks
    :--- |:--------- |:-------------------- 
    ``id-token`` | string | A short lived token that identifies and grants access to the Vincere API on behalf of the *Vincere user* that authorized the *client app*. It expires in 1 hour and must be refreshed with the *refresh token* to continue accessing.
    `x-api-key`| string | This is the API key provided by Vincere Support
    `content-type` | string | This should always be `application/json` (not usually required for GET & DELETE requesets)

    **Important Note:** 
    - We advise you to be extremely cautious when sharing your *api key* and *client id* internally & externally to ensure that your data is safe.
    - You will be responsible on how you handle this token sharing. Any security incidents caused by unmanaged token sharing which is performed outside of Vincere's control will be your responsibility and not Vincere.
    - Expired or unauthenticated requests will return an HTTP 401 response.

    ## **Throttling (Rate-Limits)**
    Calls to the APIv2 are throttled to ensure that your API request does not consume excessive resources. The limits should only affect scripts that are malfunctioning, or attempting to make too many requests in parallel.

    In Vincere, the limit is set to 10 requests per second and 50,000 requests per day per *api key*. If more than 10 requests are made in a one second period or more than 50,000 requests are made in one day then subsequent requests will fail with a 429 response. The rate limit is applied per *api key* so any requests sent with the same *api key* will contribute to the limit.

    **Important Note:** 
    - Our request rate limit is 10 requests per second and the quota is set at 50,000 requests per day

    Please contact us in case you need to change the above limits.

    ## **Pagination**
    All API v2 methods that return a collection of results may be paginated. The results from such API calls will include the following information.

    Response | Value | Remarks
    :--- |:--------- |:-------------------- 
    `slice_index` | integer | The index of the current slice.
    `num_of_elements` | integer | The number of elements in the current slice.
    `last` | boolean | The boolean value which indicates if there is more slices after this slice.
    `content` | content | The array of elements returned in this slice.

    ## **Error handling**
    This part of the document will describe the most frequent error codes returned by the Vincere API. If your request is incorrect, in the response, you can find the details of the error that should help you to troubleshoot. All Vincere API errors have the same schema. Below you can see the example of a response for the request with the incorrect parameter.

    Status | Response | Explanation 
    :--- |:------------------ |:------------
    **`400`** | Bad Request | The server cannot or will not process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    **`401`** | Unauthorized |  This response means "unauthenticated". That is, the client must authenticate itself to get the requested response.
    **`403`** | Forbidden | You do not have access rights to the resource which means that your request was unauthorized. Commonly caused by an `api-key` that does not correspond to its `client-id`.
    **`404`** | Resource Not Found | The server cannot find the requested resource (probably it does not exist) even if the endpoint is valid.
    **`413`** | Payload Too Large | Request entity is larger than limits defined by server.
    **`424`** | Failed Dependency | The request failed due to failure of a previous request.
    **`429`** | Too Many requests | You have exceeded the rate limit of API requests for your `api-key`. Wait for one minute for the limit period to reset.
    **`500`** | Internal Server Error | The server has encountered a situation it does not know how to handle.

    **Important Note:** 
    - For the error codes **401, 403, 413 and 429,** the response body may contain the message of the error.
    - For error code **400, 404, 405, 424 and 500,** the response body may contain the following parts:
    ```
    Example Error: "Data is invalid"

    {"status": "FAILED"
    "httpStatus": "404"
    "errorId": **This value is unique for each error**, for example, "e96297f1-304a-4dd1-8bd8-18c3fcc2e877"
    "errorCode": May be optional, available if it is a business violation (as opposed to a technical violation).
    "errors": An array of plain strings to explain the errors
    }
    ```
    ## **Date and Time**
    Across all the API, when a resource involves a date (with or without time) value, we only supported the UTC format.

    ```
    "yyyy-MM-dd'T'HH:mm:ss.SSS'Z'"
    ```

    **Important Note:** 
    - For our time part, HH:mm:ss.SSS, this format may be ignored by some API's. Please check the documentation of the external APIs ascertain if their time format conflicts with the Vincere API v2.

    ## **Geo-coding**
    Our API will often require you to specify geographic locations.

    Location objects can consist of six parts: address, city, country_code, district, latitude, location_name, longitude, nearest_train_station, post_code, state. Not all of these values are mandatory.

    Each Candidate, Contact, Company has its own location while a Job's working location references only one of the Company's locations. Please refer to Location object for details.

    https://api.vincere.io/documentation.html#section/Geo-coding

    ## **Search**
    The Vincere Search API V2 uses a SOLR backend framework for our search API. To help developers 
    with their queries, we have defined a custom query parser to simplify the work required by 
    transforming queries using the SOLR search engine.

    There are FOUR endpoints you can run a search on: Candidates, Contacts, Jobs & Companies. 
    At the most basic level, you can perform your search using four elements: Range, Text, Radius 
    & Value. This will do a simple filter on a field based on a value. 
    What fields can be filtered on and what filters can be used on each filter are described on each of the endpoints themselves.

    Beyond the four search types, we also offer the ability to chain filters together using 
    Boolean operators such as AND, OR, and NOT. Vincere search also supports customizable sorting
    plus **more like this** operators and provides a way to offer language-specific searches for different languages.


    A basic Vincere Query would be structured as follows:

    field: terms # OPERATOR fields: terms #

    For Example:

    industryid: 1 AND 2 AND 3 AND 4 # AND text: "Senior" "Junior" "Developer" Anna # OR feid: NOT (1) #

    A more detailed explanation is as follows:

    1. **#**: letter to ending terms - mandatory. It's needed to help regcognize the end of current expression, and start parsing new expressions.
    1. **industryid OR text**: search fields
    1. **1 AND 2 AND 3 AND 4**: search term.

    Based on your fields + the field type, you will need to construct the correct search terms.

    Below is explaination on search types:

    * TEXT
      * Text search. You can use multiple terms with operators.  
      If your terms contains quotes, you are searching **EXACTLY**. Terms without quotes would be 
      treated as **CONTAINS**.
      * Example: text: A "B" AND (B OR C) #
    * VALUE
      * Same as TEXT type, but you need to use value_search defined in reference section. 
      * Example: industryid: A AND (B OR C) #
    * RANGE
      * Range search. Used for salary range or datetime type.  For date_time type, the parser 
      supports only 2 formats: yyyy-MM-dd and yyyy-MM-dd'T'HH:mm:ss.SSS'Z'. 
      Static value: **ALL** & **NOW**
      * Example: salary_from: {1 TO 100] # AND created_date: {2017-12-20 TO ALL] #
    * RADIUS
      * Radius search used for searching location 
      * Example: location_radius:d=5,unit=km,lat=30.5587915,lng=-96.24604569999997 #

    To use MoreLikeThis search feature you need more effort. Firstly you needs to construct a query to identify which record for finding similarity, then add more filter queries to filter out your search result.

    For example: query below would find similar not - closed - and - public jobs that have to match at least one functional experties OR industry with the job ID 32813 (you need to escapse your query)

    /api/v2/job/search/fl=id,job_title,private_job,closed_date,published_date,fe,industry;mlt.fl=private_job,industry_id,fe_id;sort=published_date desc?fq=private_job:0 #&fq=closed_date:{NOW TO ALL] #&q=id:32813 #&language=en&start=0&limit=100

    As described above, # is special keyword of Vincere Search APIs. In case your search terms contains #, your responsibility is to escape the special keywords in your search terms as followings, and # can only be searched when it is part of a standard dictionary word (for example C#).

    Keyword | Escaped character
    :------- | :-----------------
      `#`     | `.08`

    As of 12.11.0, start param is limited to 10000. If you need deep paging, Vincere search supports cursorMask param. cursorMask param, at begining query, you need to pass in wildcard (*). The returned result with cursorMask param would include cursorMask for next page. You need to loop your query with cursorMask until the new cursorMask duplicated with some previous one.

    Example of cursorMask usage:

    GET /api/v2/candidate/search/fl=id,first_name, first_name_kana, created_date,photo,current_location;sort=created_date asc?cursorMark=QW9KK3BwV0d0ZXNDUHdsc2IyTmhiR2h2YzNRdWRtbHVZMlZ5WldSbGRpNWpiMjBoWTJGdVpHbGtZWFJsWHpNMk5qTTU=

    ## **Versioning**
    The Vincere API v2 requires a version to be specified in every request URL. The Version needs to be placed immediately after our base URL: https://api.vincere.io/api/v2/.

    An example URL accessing offer with id 511394 using API version 2 will be: https://api.vincere.io/api/v2/offers/51139
servers:
  - url: 'https://{tenant}.vincere.io/api/v2'
    description: Your tenant API server.
    variables:
      tenant:
        default: testprod
        description: Your tenant sub domain.
tags:
  - name: activity
    x-tag-expanded: false
    description: |
      Activities consist of Comments, Tasks, Meetings and Emails. <br>
      End of the activities is linked to Candidates, Contacts, Jobs and Companies.
  - name: application
    x-tag-expanded: false
    description: |
      Applications, otherwise known as Job submissions, Job status, Job objects or Job actions.<br>
      Applications associate Candidates with Jobs. Candidate applications always have exactly 1 job.
  - name: candidate
    x-tag-expanded: false
    description: |
      Candidates, otherwise known as applicants.<br>
      A Candidate can be linked to a contact in Vincere.<br>
      The candidate entity is the only entity that can be floated to contacts, apply for or be shortlisted and / or sent to open jobs.
  - name: company
    x-tag-expanded: false
    description: |
      Companies, otherwise known as Corporations or Client corporations are entities that Contacts work at. <br>
      These Companies can be used as Prospect or Lead Companies, Headhunt sites, or as Clients.
  - name: contact
    x-tag-expanded: false
    description: |
      Contact Endpoints.<br>
      Contacts, otherwise known as Clients or Client Contacts are persons working at Companies.<br>
      They can be used as Prospects, Leads, Headhunt lists , Employees or Clients.<br>
      A Contact cannot exist in Vincere without being linked to a Company.<br>
      Contacts are separate entities to Candidates, but they can be linked together.<br>
      Jobs must link to a Contact in Vincere.
  - name: distribution list
    x-tag-expanded: false
    description: |
      Distribution list of contacts.
  - name: email subscription
    x-tag-expanded: false
    description: Email Subscription
  - name: file
    x-tag-expanded: false
    description: |
      Files consist of documents and photos. Vincere accepts the following files types:<br>
      For document: doc, docx, pdf, rtf, xls, xlsx, html, msg<br>
      For photo: png, jpg, gif, bmp<br>
      Note on Documents: Maximum allowable document file size is 10 MB.<br>
      Note on Photos: Maximum allowable photo image size is 800 KB<br>
      Important: At present, the API v2 only supports Documents for Candidates. <br>
      For Companies, Contacts and Jobs we only support the GET call for logo/photo. <br>
      In the coming months, we will add the Document API's for Companies, Contacts and Jobs.
  - name: invoice
    x-tag-expanded: false
    description: |
      Invoices
  - name: job
    x-tag-expanded: false
    description: |
      Jobs, otherwise known as Positions, Vacancies or Job orders are entities that linked to Contacts that are in turn linked to Companies.<br>
      A Job cannot be added to Vincere without being associated to a contact.<br>
      For avoidance of doubt, Jobs do NOT directly link to Companies.
  - name: placement
    x-tag-expanded: false
    description: |
      Placements
  - name: report
    x-tag-expanded: false
    description: |
      Calls to obtain statistics in Vincere.
  - name: reference
    x-tag-expanded: false
    description: |
      These are calls to obtain reference (read-only) objects.<br>
      <mark>Note that Vincere would cache API calls to these endpoints for 3 hours.</mark><br>
      As a result, sometimes your newest updates would not be reflected in reference API calls.
  - name: search
    x-tag-expanded: false
    description: |
      The Vincere Search API V2 uses a SOLR backend framework for our search API. <br>
      To help developers with their queries, we have defined a custom query parser to simplify the work required by transforming queries using the SOLR search engine.
  - name: setting
    x-tag-expanded: false
    description: |
      Setting or system option
  - name: talent pool
    x-tag-expanded: false
    description: |
      Talent pool of candidates.
  - name: timesheet
    x-tag-expanded: false
    description: |
      Timesheets
  - name: umbrella company
    x-tag-expanded: false
    description: |
      Umbrella company.
  - name: user
    x-tag-expanded: false
    description: |
      Users are licensed system users and include customer administrator accounts. Users can be either active or in-active. Licenses are only required for active users.
  - name: visa setting
    x-tag-expanded: false
    description: |
      Visa Restriction settings / templates configured for the environment.
  - name: webhook
    x-tag-expanded: false
    description: |
      **Overview**

      Vincere webhooks are backed by Amazon's AWS SNS (Simple Notification Service) and managed from Vincere's standard API to control webhook subscriptions per tenant account.

      * Webhook URLs are registered with an AWS SNS subscription
        * Application must confirm their callback directly with AWS
        * https://docs.aws.amazon.com/sns/latest/dg/SendMessageToHttp.confirm.html
      * Simple JSON payload
        * Only relevant actor identifiers/information is provided
        * Use Vincere API to fetch necessary details
      * Manage subscription using Vincere API webhook endpoints
        * Create, List, and Delete endpoints
      * Event messages are delivered by Amazon's AWS SNS service
        * Retry policies are applied in the event of failed deliveries
      * Track and retrieve failed deliveries using Vincere API webhook DLQ endpoints
        * Delivery failures are available for up to 14 days

      **Data Model**

      The following data will be delivered as a JSON object to the registered webhook URL for every  event that matches a webhook subscription.

      Parameter  | Description     
      ---------- | --------- 
      <code>entity_type</code> | The main entity type involved in the event. Typically one of (not limited to): candidate, company, contact, job, application, placement 
      <code>action_type</code> | Action type relevant to the event entity. Typically  one of (not limited to): create, update, delete
      <code>tenant</code> | The tenant ID where the event message comes from.
      <code>timestamp</code> | The time the action occurred.
      <code>entity_id</code> | The id of the main entity.
      <code>user_id</code> | The relevant Vincere user responsible for the action
      <code>data</code> | An object of extra data relevant to each individual webhook type. Not every webhook event type will have extra data.
security:
  - default-apikey: []
    prod-oauth2: []
webhooks: {}
components:
  schemas:
    candidate_full_request:
      type: object
      required:
        - candidate_source_id
        - email
        - first_name
        - last_name
        - registration_date
      properties:
        affiliations:
          $ref: '#/components/schemas/resume_parse_post_res/properties/affiliations'
        availability_start:
          $ref: '#/components/schemas/invoice_id_get_res/properties/due_date'
        candidate_source_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_source_id'
        company_count:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_count'
        company_name:
          $ref: '#/components/schemas/company_post_req/properties/company_name'
        company_number:
          $ref: '#/components/schemas/contact_work_loc/properties/company_number'
        contract_interval:
          $ref: '#/components/schemas/resume_parse_post_res/properties/contract_interval'
        contract_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/contract_rate'
        country_of_domicile:
          $ref: '#/components/schemas/resume_parse_post_res/properties/country_of_domicile'
        creator_id:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
        currency_type:
          $ref: '#/components/schemas/user__get_res/properties/currency'
        current_bonus:
          type:
            - number
            - 'null'
          description: Amount of money
        current_salary:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        date_of_birth:
          type:
            - string
            - 'null'
          description: 'Date of Birth. Must be in format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''"'
        desired_bonus:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        desired_contract_rate:
          $ref: '#/components/schemas/placement_id_get_res/properties/pay_rate'
        desired_salary:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        desired_salary_monthly:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        driving_license_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/driving_license_number'
        driving_license_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/driving_license_type'
        education_summary:
          $ref: '#/components/schemas/resume_parse_post_res/properties/education_summary'
        email:
          $ref: '#/components/schemas/user__get_res/properties/email'
        employment_type:
          $ref: '#/components/schemas/job/properties/employment_type'
        experience:
          $ref: '#/components/schemas/resume_parse_post_res/properties/experience'
        external_id:
          $ref: '#/components/schemas/job/properties/external_id'
        emergency_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_name'
        emergency_phone:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_phone'
        emergency_relationship:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_relationship'
        emergency_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_email'
        facebook:
          $ref: '#/components/schemas/contact_detail/properties/facebook'
        first_name:
          $ref: '#/components/schemas/contact_detail/properties/first_name'
        first_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/first_name_kana'
        gender:
          $ref: '#/components/schemas/resume_parse_post_res/properties/gender'
        gender_title:
          $ref: '#/components/schemas/contact_detail/properties/gender_title'
        home_phone:
          $ref: '#/components/schemas/contact_detail/properties/home_phone'
        ielts_score:
          $ref: '#/components/schemas/resume_parse_post_res/properties/ielts_score'
        keyword:
          $ref: '#/components/schemas/resume_parse_post_res/properties/keyword'
        last_name:
          $ref: '#/components/schemas/contact_detail/properties/last_name'
        last_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/last_name_kana'
        linked_contact_id:
          $ref: '#/components/schemas/contact_id/properties/id'
        linked_in:
          $ref: '#/components/schemas/company_post_req/properties/linkedin_url'
        marital_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/marital_status'
        met_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/met_status'
        middle_name:
          $ref: '#/components/schemas/contact_detail/properties/middle_name'
        middle_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/middle_name_kana'
        mobile:
          $ref: '#/components/schemas/resume_parse_post_res/properties/mobile'
        nationality:
          $ref: '#/components/schemas/resume_parse_post_res/properties/nationality'
        nearest_train_station:
          $ref: '#/components/schemas/contact_per_loc/properties/nearest_train_station'
        note:
          $ref: '#/components/schemas/contact_detail/properties/note'
        note_by:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
        note_on:
          $ref: '#/components/schemas/resume_parse_post_res/properties/note_on'
        notice_days:
          $ref: '#/components/schemas/resume_parse_post_res/properties/notice_days'
        objective:
          $ref: '#/components/schemas/resume_parse_post_res/properties/objective'
        other_benefits:
          $ref: '#/components/schemas/resume_parse_post_res/properties/other_benefits'
        payment_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/payment_type'
        payslip_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/payslip_email'
        passport_no:
          $ref: '#/components/schemas/resume_parse_post_res/properties/passport_no'
        personal_statements:
          $ref: '#/components/schemas/resume_parse_post_res/properties/personal_statements'
        phone:
          $ref: '#/components/schemas/contact_detail/properties/phone'
        place_of_birth:
          $ref: '#/components/schemas/resume_parse_post_res/properties/place_of_birth'
        preferred_language:
          $ref: '#/components/schemas/resume_parse_post_res/properties/preferred_language'
        present_salary_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/present_salary_rate'
        publications:
          $ref: '#/components/schemas/resume_parse_post_res/properties/publications'
        reference:
          $ref: '#/components/schemas/invoice_id_get_res/properties/reference'
        registration_date:
          $ref: '#/components/schemas/contact_detail/properties/registration_date'
        relocate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/relocate'
        salary_months_per_year:
          $ref: '#/components/schemas/resume_parse_post_res/properties/salary_months_per_year'
        salary_type:
          $ref: '#/components/schemas/placement_id_get_res/properties/salary_type'
        skills:
          type:
            - string
            - 'null'
          description: A skill for job
        skype:
          $ref: '#/components/schemas/contact_detail/properties/skype'
        statements:
          $ref: '#/components/schemas/resume_parse_post_res/properties/statements'
        summary:
          $ref: '#/components/schemas/position_post_req/properties/summary'
        toeic_score:
          $ref: '#/components/schemas/resume_parse_post_res/properties/toeic_score'
        twitter:
          $ref: '#/components/schemas/contact_detail/properties/twitter'
        total_gross:
          $ref: '#/components/schemas/resume_parse_post_res/properties/total_gross'
        variant:
          $ref: '#/components/schemas/resume_parse_post_res/properties/variant'
        visa_note:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_note'
        visa_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_number'
        visa_renewal_date:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_renewal_date'
        visa_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_status'
        visa_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_type'
        website:
          $ref: '#/components/schemas/company_post_req/properties/website'
        work_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/work_email'
        work_phone:
          $ref: '#/components/schemas/resume_parse_post_res/properties/work_phone'
        xing:
          $ref: '#/components/schemas/contact_detail/properties/xing'
        linked_in_resume_content:
          type:
            - string
            - 'null'
          description: The resume content retrieved from LinkedIn
        nickname:
          $ref: '#/components/schemas/resume_parse_post_res/properties/nickname'
        parsing_log_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/parsing_log_id'
        company_location_id:
          $ref: '#/components/schemas/position_post_req/properties/company_location_id'
        candidate_company_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_company_email'
        candidate_representative_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_representative_name'
        company_bank_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_name'
        company_bank_branch:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_branch'
        company_bank_account_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_number'
        company_bank_account_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_name'
        company_bank_account_swift_code:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_swift_code'
        company_bank_sort_code:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_sort_code'
        company_bsb_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bsb_number'
        company_default_sale_tax_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_id'
        company_default_sale_tax_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_number'
        company_sale_tax_registered:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_sale_tax_registered'
        candidate_company_default_payment_terms:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_company_default_payment_terms'
        umbrella_company_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/umbrella_company_id'
        compliance:
          type:
            - integer
            - 'null'
          description: |
            Compliance status of the candidate. `1` means compliant, `0` means non-compliant.
            Defaults to `1` when omitted on creation. When the Candidate Compliance setting is
            enabled, a non-compliant candidate cannot be offered or placed.
          enum:
            - 0
            - 1
    candidate_patch_full_request:
      type: object
      properties:
        affiliations:
          $ref: '#/components/schemas/resume_parse_post_res/properties/affiliations'
        availability_start:
          $ref: '#/components/schemas/invoice_id_get_res/properties/due_date'
        candidate_source_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_source_id'
        company_count:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_count'
        company_name:
          $ref: '#/components/schemas/company_post_req/properties/company_name'
        company_number:
          $ref: '#/components/schemas/contact_work_loc/properties/company_number'
        contract_interval:
          $ref: '#/components/schemas/resume_parse_post_res/properties/contract_interval'
        contract_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/contract_rate'
        country_of_domicile:
          $ref: '#/components/schemas/resume_parse_post_res/properties/country_of_domicile'
        currency_type:
          $ref: '#/components/schemas/user__get_res/properties/currency'
        current_bonus:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        current_salary:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        date_of_birth:
          $ref: '#/components/schemas/candidate_full_request/properties/date_of_birth'
        desired_bonus:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        desired_contract_rate:
          $ref: '#/components/schemas/placement_id_get_res/properties/pay_rate'
        desired_salary:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        desired_salary_monthly:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        driving_license_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/driving_license_number'
        driving_license_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/driving_license_type'
        education_summary:
          $ref: '#/components/schemas/resume_parse_post_res/properties/education_summary'
        email:
          $ref: '#/components/schemas/user__get_res/properties/email'
        employment_type:
          $ref: '#/components/schemas/job/properties/employment_type'
        experience:
          $ref: '#/components/schemas/resume_parse_post_res/properties/experience'
        external_id:
          $ref: '#/components/schemas/job/properties/external_id'
        emergency_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_name'
        emergency_phone:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_phone'
        emergency_relationship:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_relationship'
        emergency_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_email'
        facebook:
          $ref: '#/components/schemas/contact_detail/properties/facebook'
        first_name:
          $ref: '#/components/schemas/contact_detail/properties/first_name'
        first_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/first_name_kana'
        gender:
          $ref: '#/components/schemas/resume_parse_post_res/properties/gender'
        gender_title:
          $ref: '#/components/schemas/contact_detail/properties/gender_title'
        home_phone:
          $ref: '#/components/schemas/contact_detail/properties/home_phone'
        keyword:
          $ref: '#/components/schemas/resume_parse_post_res/properties/keyword'
        last_name:
          $ref: '#/components/schemas/contact_detail/properties/last_name'
        last_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/last_name_kana'
        linked_contact_id:
          $ref: '#/components/schemas/contact_id/properties/id'
        linked_in:
          $ref: '#/components/schemas/company_post_req/properties/linkedin_url'
        marital_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/marital_status'
        met_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/met_status'
        middle_name:
          $ref: '#/components/schemas/contact_detail/properties/middle_name'
        middle_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/middle_name_kana'
        mobile:
          $ref: '#/components/schemas/resume_parse_post_res/properties/mobile'
        nationality:
          $ref: '#/components/schemas/resume_parse_post_res/properties/nationality'
        nearest_train_station:
          $ref: '#/components/schemas/contact_per_loc/properties/nearest_train_station'
        note:
          $ref: '#/components/schemas/contact_detail/properties/note'
        note_by:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
        note_on:
          $ref: '#/components/schemas/resume_parse_post_res/properties/note_on'
        notice_days:
          $ref: '#/components/schemas/resume_parse_post_res/properties/notice_days'
        objective:
          $ref: '#/components/schemas/resume_parse_post_res/properties/objective'
        other_benefits:
          $ref: '#/components/schemas/resume_parse_post_res/properties/other_benefits'
        payment_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/payment_type'
        payslip_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/payslip_email'
        passport_no:
          $ref: '#/components/schemas/resume_parse_post_res/properties/passport_no'
        personal_statements:
          $ref: '#/components/schemas/resume_parse_post_res/properties/personal_statements'
        phone:
          $ref: '#/components/schemas/contact_detail/properties/phone'
        place_of_birth:
          $ref: '#/components/schemas/resume_parse_post_res/properties/place_of_birth'
        preferred_language:
          $ref: '#/components/schemas/resume_parse_post_res/properties/preferred_language'
        present_salary_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/present_salary_rate'
        publications:
          $ref: '#/components/schemas/resume_parse_post_res/properties/publications'
        reference:
          $ref: '#/components/schemas/invoice_id_get_res/properties/reference'
        relocate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/relocate'
        salary_months_per_year:
          $ref: '#/components/schemas/resume_parse_post_res/properties/salary_months_per_year'
        salary_type:
          $ref: '#/components/schemas/placement_id_get_res/properties/salary_type'
        skills:
          $ref: '#/components/schemas/candidate_full_request/properties/skills'
        skype:
          $ref: '#/components/schemas/contact_detail/properties/skype'
        statements:
          $ref: '#/components/schemas/resume_parse_post_res/properties/statements'
        summary:
          $ref: '#/components/schemas/position_post_req/properties/summary'
        toeic_score:
          $ref: '#/components/schemas/resume_parse_post_res/properties/toeic_score'
        twitter:
          $ref: '#/components/schemas/contact_detail/properties/twitter'
        total_gross:
          $ref: '#/components/schemas/resume_parse_post_res/properties/total_gross'
        variant:
          $ref: '#/components/schemas/resume_parse_post_res/properties/variant'
        visa_note:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_note'
        visa_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_number'
        visa_renewal_date:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_renewal_date'
        visa_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_status'
        visa_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_type'
        website:
          $ref: '#/components/schemas/company_post_req/properties/website'
        work_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/work_email'
        work_phone:
          $ref: '#/components/schemas/resume_parse_post_res/properties/work_phone'
        xing:
          $ref: '#/components/schemas/contact_detail/properties/xing'
        linked_in_resume_content:
          $ref: '#/components/schemas/candidate_full_request/properties/linked_in_resume_content'
        nickname:
          $ref: '#/components/schemas/resume_parse_post_res/properties/nickname'
        company_location_id:
          $ref: '#/components/schemas/position_post_req/properties/company_location_id'
        candidate_company_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_company_email'
        candidate_representative_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_representative_name'
        company_bank_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_name'
        company_bank_branch:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_branch'
        company_bank_account_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_number'
        company_bank_account_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_name'
        company_bank_account_swift_code:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_swift_code'
        company_bank_sort_code:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_sort_code'
        company_bsb_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bsb_number'
        company_default_sale_tax_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_id'
        company_default_sale_tax_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_number'
        company_sale_tax_registered:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_sale_tax_registered'
        candidate_company_default_payment_terms:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_company_default_payment_terms'
        umbrella_company_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/umbrella_company_id'
        expected_salary_from:
          type:
            - number
            - 'null'
          description: Amount of money
        expected_salary_to:
          type:
            - number
            - 'null'
          description: Amount of money
        compliance:
          $ref: '#/components/schemas/candidate_full_request/properties/compliance'
    candidate_delete_request:
      type: object
      required:
        - reason
      properties:
        reason:
          type:
            - string
            - 'null'
          description: Reason
    candidate_id_response:
      type: object
      required:
        - id
      properties:
        id:
          type:
            - integer
            - 'null'
          description: Candidate id
    candidate_full_response:
      type: object
      properties:
        affiliations:
          $ref: '#/components/schemas/resume_parse_post_res/properties/affiliations'
        availability:
          $ref: '#/components/schemas/resume_parse_post_res/properties/availability'
        availability_start:
          $ref: '#/components/schemas/invoice_id_get_res/properties/due_date'
        candidate_source_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_source_id'
        candidate_source_name:
          type:
            - string
            - 'null'
          description: 'Candidate source in Vincere. [Please refer to the reference section for candidate source](#get-/candidatesources).'
        job_title:
          $ref: '#/components/schemas/job/properties/job_title'
        company_count:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_count'
        company_name:
          $ref: '#/components/schemas/company_post_req/properties/company_name'
        company_number:
          $ref: '#/components/schemas/contact_work_loc/properties/company_number'
        contract_interval:
          $ref: '#/components/schemas/resume_parse_post_res/properties/contract_interval'
        contract_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/contract_rate'
        country_of_domicile:
          $ref: '#/components/schemas/resume_parse_post_res/properties/country_of_domicile'
        creator_id:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
        currency_type:
          $ref: '#/components/schemas/user__get_res/properties/currency'
        current_bonus:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        current_salary:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        date_of_birth:
          $ref: '#/components/schemas/candidate_full_request/properties/date_of_birth'
        desired_bonus:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        desired_contract_rate:
          $ref: '#/components/schemas/placement_id_get_res/properties/pay_rate'
        desired_salary:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        desired_salary_monthly:
          $ref: '#/components/schemas/candidate_full_request/properties/current_bonus'
        driving_license_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/driving_license_number'
        driving_license_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/driving_license_type'
        education_summary:
          $ref: '#/components/schemas/resume_parse_post_res/properties/education_summary'
        email:
          $ref: '#/components/schemas/user__get_res/properties/email'
        employment_type:
          $ref: '#/components/schemas/job/properties/employment_type'
        experience:
          $ref: '#/components/schemas/resume_parse_post_res/properties/experience'
        external_id:
          $ref: '#/components/schemas/job/properties/external_id'
        emergency_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_name'
        emergency_phone:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_phone'
        emergency_relationship:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_relationship'
        emergency_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/emergency_email'
        facebook:
          $ref: '#/components/schemas/contact_detail/properties/facebook'
        first_name:
          $ref: '#/components/schemas/contact_detail/properties/first_name'
        first_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/first_name_kana'
        gender:
          $ref: '#/components/schemas/resume_parse_post_res/properties/gender'
        gender_title:
          $ref: '#/components/schemas/contact_detail/properties/gender_title'
        highest_job_application_stage:
          $ref: '#/components/schemas/position_id_application_stage_list_post_req/items'
        home_phone:
          $ref: '#/components/schemas/contact_detail/properties/home_phone'
        id:
          $ref: '#/components/schemas/candidate_id_response/properties/id'
        ielts_score:
          $ref: '#/components/schemas/resume_parse_post_res/properties/ielts_score'
        keyword:
          $ref: '#/components/schemas/resume_parse_post_res/properties/keyword'
        last_name:
          $ref: '#/components/schemas/contact_detail/properties/last_name'
        last_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/last_name_kana'
        linked_contact_id:
          $ref: '#/components/schemas/contact_id/properties/id'
        linked_in:
          $ref: '#/components/schemas/company_post_req/properties/linkedin_url'
        marital_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/marital_status'
        met_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/met_status'
        middle_name:
          $ref: '#/components/schemas/contact_detail/properties/middle_name'
        middle_name_kana:
          $ref: '#/components/schemas/contact_detail/properties/middle_name_kana'
        mobile:
          $ref: '#/components/schemas/resume_parse_post_res/properties/mobile'
        nationality:
          $ref: '#/components/schemas/resume_parse_post_res/properties/nationality'
        nearest_train_station:
          $ref: '#/components/schemas/contact_per_loc/properties/nearest_train_station'
        note:
          $ref: '#/components/schemas/contact_detail/properties/note'
        note_by:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
        note_on:
          $ref: '#/components/schemas/resume_parse_post_res/properties/note_on'
        notice_days:
          $ref: '#/components/schemas/resume_parse_post_res/properties/notice_days'
        objective:
          $ref: '#/components/schemas/resume_parse_post_res/properties/objective'
        other_benefits:
          $ref: '#/components/schemas/resume_parse_post_res/properties/other_benefits'
        payment_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/payment_type'
        payslip_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/payslip_email'
        passport_no:
          $ref: '#/components/schemas/resume_parse_post_res/properties/passport_no'
        personal_statements:
          $ref: '#/components/schemas/resume_parse_post_res/properties/personal_statements'
        phone:
          $ref: '#/components/schemas/contact_detail/properties/phone'
        photo_url:
          $ref: '#/components/schemas/contact_detail/properties/phone'
        place_of_birth:
          $ref: '#/components/schemas/resume_parse_post_res/properties/place_of_birth'
        preferred_language:
          $ref: '#/components/schemas/resume_parse_post_res/properties/preferred_language'
        present_salary_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/present_salary_rate'
        publications:
          $ref: '#/components/schemas/resume_parse_post_res/properties/publications'
        reference:
          $ref: '#/components/schemas/invoice_id_get_res/properties/reference'
        registration_date:
          $ref: '#/components/schemas/contact_detail/properties/registration_date'
        relocate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/relocate'
        salary_months_per_year:
          $ref: '#/components/schemas/resume_parse_post_res/properties/salary_months_per_year'
        salary_type:
          $ref: '#/components/schemas/placement_id_get_res/properties/salary_type'
        skills:
          $ref: '#/components/schemas/candidate_full_request/properties/skills'
        skype:
          $ref: '#/components/schemas/contact_detail/properties/skype'
        statements:
          $ref: '#/components/schemas/resume_parse_post_res/properties/statements'
        summary:
          $ref: '#/components/schemas/position_post_req/properties/summary'
        toeic_score:
          $ref: '#/components/schemas/resume_parse_post_res/properties/toeic_score'
        total_gross:
          $ref: '#/components/schemas/resume_parse_post_res/properties/total_gross'
        twitter:
          $ref: '#/components/schemas/contact_detail/properties/twitter'
        variant:
          $ref: '#/components/schemas/resume_parse_post_res/properties/variant'
        visa_note:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_note'
        visa_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_number'
        visa_renewal_date:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_renewal_date'
        visa_status:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_status'
        visa_type:
          $ref: '#/components/schemas/resume_parse_post_res/properties/visa_type'
        website:
          $ref: '#/components/schemas/company_post_req/properties/website'
        work_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/work_email'
        work_phone:
          $ref: '#/components/schemas/resume_parse_post_res/properties/work_phone'
        xing:
          $ref: '#/components/schemas/contact_detail/properties/xing'
        updated_timestamp:
          $ref: '#/components/schemas/invoice_id_get_res/properties/updated_date'
        nickname:
          $ref: '#/components/schemas/resume_parse_post_res/properties/nickname'
        email_subscribed:
          $ref: '#/components/schemas/resume_parse_post_res/properties/email_subscribed'
        status_id:
          $ref: '#/components/schemas/candidate_status/properties/status_id'
        candidate_company_address:
          type: object
          properties:
            id:
              $ref: '#/components/schemas/contact_work_loc_ids/items'
            location_name:
              $ref: '#/components/schemas/user__get_res/properties/user_location'
            address:
              $ref: '#/components/schemas/contact_per_loc/properties/address'
            address_line1:
              $ref: '#/components/schemas/contact_per_loc/properties/address_line1'
            address_line2:
              $ref: '#/components/schemas/contact_per_loc/properties/address_line2'
            district_suburb:
              $ref: '#/components/schemas/invoice_id_get_res/properties/location/properties/district'
            town_city:
              $ref: '#/components/schemas/invoice_id_get_res/properties/location/properties/city'
            zip_postal_code:
              $ref: '#/components/schemas/placement_id_companydetail_get_res/properties/address/properties/zip_postal_code'
            country:
              $ref: '#/components/schemas/contact_per_loc/properties/country'
            state:
              $ref: '#/components/schemas/contact_per_loc/properties/state'
            nearest_train_stn:
              $ref: '#/components/schemas/placement_id_companydetail_get_res/properties/address/properties/nearest_train_stn'
            types:
              $ref: '#/components/schemas/placement_id_companydetail_get_res/properties/address/properties/types'
            phone_number:
              $ref: '#/components/schemas/contact_detail/properties/phone'
            note:
              $ref: '#/components/schemas/contact_detail/properties/note'
        candidate_current_address:
          $ref: '#/components/schemas/candidate_full_response/properties/candidate_company_address'
        candidate_company_email:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_company_email'
        candidate_representative_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_representative_name'
        company_bank_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_name'
        company_bank_branch:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_branch'
        company_bank_account_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_number'
        company_bank_account_name:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_name'
        company_bank_account_swift_code:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_account_swift_code'
        company_bank_sort_code:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bank_sort_code'
        company_bsb_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_bsb_number'
        company_default_sale_tax_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_id'
        company_default_sale_tax_rate:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_rate'
        company_default_sale_tax_number:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_default_sale_tax_number'
        company_sale_tax_registered:
          $ref: '#/components/schemas/resume_parse_post_res/properties/company_sale_tax_registered'
        candidate_company_default_payment_terms:
          $ref: '#/components/schemas/resume_parse_post_res/properties/candidate_company_default_payment_terms'
        umbrella_company_id:
          $ref: '#/components/schemas/resume_parse_post_res/properties/umbrella_company_id'
        ft_candidate:
          type: object
          description: FastTrack360 Candidate Fields
          properties:
            office_code:
              type: string
              description: FastTrack360 Candidate's Office Code
            status:
              type: string
              description: FastTrack360 Candidate's Status
            skill_group:
              type: string
              description: FastTrack360 Candidate's Skill Group
            position:
              type: string
              description: FastTrack360 Candidate's Position
        availability_url:
          type: string
          description: returns the URL of the availability page
        archived_timestamp:
          type:
            - string
            - 'null'
          description: 'Indicate the date when this candidate was deleted/archived in the format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''"'
        archived_reason:
          type:
            - string
            - 'null'
          description: Indicate the reason for deleting/archiving this candidate
        archived_by:
          type:
            - number
            - 'null'
          description: Indicate the user who deleted this candidate
        cv_exists:
          type:
            - boolean
            - 'null'
          description: Indicate if the candidate has CV or not.
        cv_expiry_date:
          type:
            - string
            - 'null'
          description: 'Indicate the expiry date of the CV. Format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''"'
        last_activity_date:
          $ref: '#/components/schemas/contact_detail/properties/last_activity_date'
        compliance:
          $ref: '#/components/schemas/candidate_full_request/properties/compliance'
    candidate_educationdetails_request:
      type: object
      properties:
        course:
          type:
            - string
            - 'null'
        degree_name:
          type:
            - string
            - 'null'
        department:
          $ref: '#/components/schemas/contact_detail/properties/department'
        description:
          type:
            - string
            - 'null'
          description: a description.
        education_level:
          type:
            - string
            - 'null'
          description: Please refer to the reference section of education levels
        gpa:
          type:
            - string
            - 'null'
        grade:
          type:
            - string
            - 'null'
        graduation_date:
          $ref: '#/components/schemas/candidate_workexperiences_request/properties/work_to'
        honorific:
          type:
            - string
            - 'null'
        honors:
          type:
            - string
            - 'null'
        institution_address:
          $ref: '#/components/schemas/candidate_educationdetails_request/properties/honors'
        institution_name:
          type:
            - string
            - 'null'
        major:
          type:
            - string
            - 'null'
        minor:
          type:
            - string
            - 'null'
        qualification:
          type:
            - string
            - 'null'
        school_name:
          type:
            - string
            - 'null'
        school_address:
          type:
            - string
            - 'null'
        start_date:
          $ref: '#/components/schemas/candidate_workexperiences_request/properties/work_to'
        thesis:
          type:
            - string
            - 'null'
        training:
          type:
            - string
            - 'null'
        school_logo:
          type:
            - string
            - 'null'
          description: School Logo
    candidate_educationdetails_array:
      type: array
      items:
        $ref: '#/components/schemas/candidate_educationdetails_request'
    candidate_owners_request:
      type: object
      properties:
        owner_id:
          type:
            - integer
            - 'null'
          description: ID of user in vincere
        ownership:
          type:
            - number
            - 'null'
          description: Percentage of ownership. Default is 100 if this is the only one owner for candidate.
        primary:
          type:
            - boolean
            - 'null'
          description: 'True if the owner is primary. Otherwise, false.'
    candidate_owners_array:
      type: array
      items:
        type: object
        properties:
          owner_id:
            $ref: '#/components/schemas/candidate_owners_request/properties/owner_id'
          owner_name:
            type:
              - string
              - 'null'
            description: Name of user in vincere
          ownership:
            $ref: '#/components/schemas/candidate_owners_request/properties/ownership'
          primary:
            $ref: '#/components/schemas/candidate_owners_request/properties/primary'
    candidate_workexperiences_request:
      type: object
      properties:
        address:
          $ref: '#/components/schemas/contact_per_loc/properties/address'
        company_name:
          $ref: '#/components/schemas/company_post_req/properties/company_name'
        current_employer:
          type:
            - boolean
            - 'null'
          description: 'True if candidate is currently working for this company. Otherwise, it should be false.'
        experience_in_company:
          type:
            - string
            - 'null'
        functional_expertise_id:
          $ref: '#/components/schemas/candidate_link_func_expertises_request/items'
        industry_id:
          $ref: '#/components/schemas/company_id_industries_put_req/items'
        sub_industry_id:
          type:
            - integer
            - 'null'
          description: The sub-industry id. Please refer to reference section of sub-industry.
        job_title:
          $ref: '#/components/schemas/job/properties/job_title'
        sub_function_id:
          type:
            - integer
            - 'null'
          description: ID of subfunctional expertise in Vincere. Please refer to reference section of subfunctional expertise.
        work_from:
          $ref: '#/components/schemas/candidate_workexperiences_request/properties/work_to'
        work_to:
          type:
            - string
            - 'null'
          description: 'Please use the consistent format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''" but **the time part will be ignored**.'
        company_logo:
          type:
            - string
            - 'null'
          description: Company Logo
    candidate_workexperiences_array:
      type: array
      items:
        $ref: '#/components/schemas/candidate_workexperiences_request'
    candidate_desiredjobtypes_request:
      type:
        - string
        - 'null'
      description: 'Job Type. [Please refer to reference section of job types for possible values](#operation/getJobTypes).'
      enum:
        - PERMANENT
        - PART_TIME
        - TEMPORARY
        - CONTRACT
        - TEMP_TO_PERM
    candidate_desiredjobtypes_array:
      type: array
      items:
        $ref: '#/components/schemas/candidate_desiredjobtypes_request'
    candidate_bankdetails_request:
      type: object
      properties:
        account_name:
          type:
            - string
            - 'null'
        account_number:
          type:
            - string
            - 'null'
        account_type:
          type:
            - string
            - 'null'
        bank_address:
          type:
            - string
            - 'null'
        bank_name:
          type:
            - string
            - 'null'
        branch_code:
          type:
            - string
            - 'null'
        branch_name:
          type:
            - string
            - 'null'
          description: Branch name
        bsb:
          type:
            - string
            - 'null'
        iban_number:
          type:
            - string
            - 'null'
        routing_number:
          type:
            - string
            - 'null'
        swift_code:
          type:
            - string
            - 'null'
    candidate_bankdetails_array:
      type: array
      items:
        $ref: '#/components/schemas/candidate_bankdetails_request'
    candidate_languageskills_array:
      type: array
      items:
        type: object
        properties:
          code:
            type:
              - string
              - 'null'
            description: Language code. Refer to all language codes <a href="#tag/references/paths/~1def~1languages/get">here</a>
          level:
            type:
              - string
              - 'null'
            description: Language level
            enum:
              - BEGINNER
              - INTERMEDIATE
              - ADVANCED
              - FLUENT
              - NATIVE
    candidate_functionalexpertises_array:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/candidate_link_func_expertises_request/items'
          subId:
            $ref: '#/components/schemas/candidate_workexperiences_request/properties/sub_function_id'
    candidate_desiredindustries_array:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/company_id_industries_put_req/items'
          subId:
            $ref: '#/components/schemas/candidate_workexperiences_request/properties/sub_industry_id'
    candidate_desiredindustries_id_array:
      type: array
      items:
        type: integer
    candidate_link_industries_request:
      type: array
      items:
        $ref: '#/components/schemas/company_id_industries_put_req/items'
    candidate_industries_array_response:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/company_id_industries_put_req/items'
          name:
            type: string
            description: Industry name
    candidate_link_subindustries_request:
      type: array
      items:
        type: object
        properties:
          parent_id:
            type:
              - integer
              - 'null'
            description: Sub-industry’s parent industry id. Please refer to reference section of industry.
          ids:
            type: array
            description: List of sub-industry ids. Please refer to the reference section for sub-industries for possible values.
            items:
              type: integer
    candidate_subindustries_array_response:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/candidate_workexperiences_request/properties/sub_industry_id'
          name:
            type: string
            description: Sub-industry name
          parent_id:
            $ref: '#/components/schemas/candidate_link_subindustries_request/items/properties/parent_id'
    candidate_link_functional_subfunctional_request:
      type: array
      items:
        type: object
        properties:
          func_id:
            $ref: '#/components/schemas/candidate_link_func_expertises_request/items'
          sub_func_ids:
            type: array
            description: List of sub-functional expertise ids.
            items:
              type: integer
    candidate_link_func_expertises_request:
      type: array
      items:
        type:
          - integer
          - 'null'
        description: ID of functional expertise in Vincere. Please refer to reference section of functional expertise.
    candidate_func_expertises_array_response:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/candidate_link_func_expertises_request/items'
          name:
            type: string
            description: Functional expertise name
    candidate_subfunc_expertises_array_response:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/candidate_workexperiences_request/properties/sub_function_id'
          name:
            type: string
            description: Sub-functional expertise name
          functional_expertise_id:
            $ref: '#/components/schemas/candidate_link_func_expertises_request/items'
    candidate_hot_period_request:
      type: object
      properties:
        length:
          type: integer
          description: 'Number of hot days. If it is 0, the entity is removed from hot list.'
    candidate_custom_fields_request:
      type: object
      properties:
        data:
          description: info for custom fields
          type: array
          items:
            type: object
            properties:
              date_value:
                $ref: '#/components/schemas/contact_custom_fields_get/items/properties/date_value'
              element_value_groups:
                description: This property is taken into account if the custom field is of type GROUP.
                type: array
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      date_value:
                        $ref: '#/components/schemas/contact_custom_fields_get/items/properties/date_value'
                      field_key:
                        $ref: '#/components/schemas/candidate_custom_fields_request/properties/data/items/properties/field_key'
                      field_value:
                        $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_value'
                      field_value_ids:
                        $ref: '#/components/schemas/company_id_customfields_get_res/items/properties/field_value_ids'
                      field_values:
                        $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_values'
              field_key:
                type:
                  - string
                  - 'null'
                description: The key of the custom field in Vincere. Please refer to the reference section for custom field.
              field_value:
                $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_value'
              field_value_ids:
                $ref: '#/components/schemas/company_id_customfields_get_res/items/properties/field_value_ids'
              field_values:
                $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_values'
    candidate_custom_fields_response:
      type: array
      items:
        type: object
        properties:
          key:
            $ref: '#/components/schemas/contact_custom_fields_get/items/properties/key'
          type:
            $ref: '#/components/schemas/contact_custom_fields_get/items/properties/type'
          date_value:
            $ref: '#/components/schemas/contact_custom_fields_get/items/properties/date_value'
          element_value_groups:
            type: array
            items:
              type: array
              items:
                type: object
                properties:
                  key:
                    $ref: '#/components/schemas/contact_custom_fields_get/items/properties/key'
                  type:
                    $ref: '#/components/schemas/contact_custom_fields_get/items/properties/type'
                  date_value:
                    $ref: '#/components/schemas/contact_custom_fields_get/items/properties/date_value'
                  field_value:
                    $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_value'
                  field_value_ids:
                    $ref: '#/components/schemas/company_id_customfields_get_res/items/properties/field_value_ids'
                  field_values:
                    $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_values'
          field_value:
            $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_value'
          field_value_ids:
            $ref: '#/components/schemas/company_id_customfields_get_res/items/properties/field_value_ids'
          field_values:
            $ref: '#/components/schemas/contact_custom_fields_get/items/properties/field_values'
    candidate_core_fields_request:
      type: object
      properties:
        data:
          description: info for core fields
          type: array
          items:
            type: object
            properties:
              field_name:
                $ref: '#/components/schemas/candidate_core_fields_response/items/properties/field_name'
              field_value:
                $ref: '#/components/schemas/candidate_core_fields_response/items/properties/field_value'
    candidate_core_fields_response:
      type: array
      items:
        type: object
        properties:
          field_name:
            type:
              - string
              - 'null'
            description: The name of the core field in Vincere. Please refer to the reference section for core field.
          type:
            type:
              - string
              - 'null'
            description: Field type.
            enum:
              - MULTIPLE_SELECTION
              - TEXT_AREA
              - CHECK_BOX
              - COMBO_BOX
              - RADIO_BUTTON
              - DATE_PICKER
          field_value:
            type:
              - string
              - 'null'
            description: 'This property is taken into account if the core field is all of type (TEXT_BOX, TEXT_AREA, MULTIPLE_SELECTION ...)'
          field_id:
            type: integer
    candidate_webapp_url_response:
      type: object
      properties:
        request_method:
          $ref: '#/components/schemas/contact_webapp_url_get/properties/request_method'
        url:
          $ref: '#/components/schemas/contact_webapp_url_get/properties/url'
    candidate_branches_request:
      type: array
      items:
        type: integer
        description: ID of branch. Please refer to the reference section for branch
    candidate_branches_response:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/contact_branches_ids_put/items'
          name:
            $ref: '#/components/schemas/candidate_bankdetails_request/properties/branch_name'
    candidate_status:
      type: object
      properties:
        status:
          type: string
          deprecated: true
          description: 'Candidate status. [Please refer to the reference section for candidate statuses](#operation/getListCandidateStatus).'
          enum:
            - ACTIVE
            - PASSIVE
            - DO_NOT_CONTACT
            - BLACKLISTED
        status_id:
          type:
            - number
            - 'null'
          description: 'Candidate status id. [Please refer to the reference section for candidate statuses](#operation/getListCandidateStatuses).'
    candidate_source_contact_request:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
    candidate_source_contact_response:
      type: object
      properties:
        email:
          type:
            - string
            - 'null'
          description: The Vincere user email
        full_name:
          $ref: '#/components/schemas/user__get_res/properties/full_name'
        id:
          $ref: '#/components/schemas/position_id_owners_put_req/items'
    candidate_working_state:
      type: object
      properties:
        status:
          type:
            - string
            - 'null'
          description: Candidate working state
          enum:
            - EMPLOYED
            - NOT_EMPLOYED
            - AT_SCHOOL
    candidate_brands_request:
      type: array
      items:
        type: integer
        description: ID of brand. Please refer to the reference section for branch
    candidate_brands_response:
      type: array
      items:
        type: object
        properties:
          id:
            $ref: '#/components/schemas/contact_brands_ids_put/items'
          name:
            $ref: '#/components/schemas/contact_brands_get/items/properties/name'
    candidate_notes_request:
      type: object
      properties:
        title:
          type:
            - string
            - 'null'
          description: Note title
        content:
          type:
            - string
            - 'null'
          description: Note content
    candidate_notes_response:
      type: array
      items:
        type: object
        properties:
          id:
            type:
              - integer
              - 'null'
            description: Note id
          title:
            $ref: '#/components/schemas/candidate_notes_request/properties/title'
          content:
            $ref: '#/components/schemas/candidate_notes_request/properties/content'
    candidate_placement_status_response:
      type: object
      properties:
        application_id:
          $ref: '#/components/schemas/application_post_res/properties/id'
        start_date:
          type:
            - string
            - 'null'
          description: 'Start date of the closest active application. Must be in format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''"'
        end_date:
          type:
            - string
            - 'null'
          description: 'End date of the closest active application. Must be in format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''"'
        job_type:
          $ref: '#/components/schemas/candidate_desiredjobtypes_request'
    candidate_gdpr_details_request:
      type: object
      properties:
        consent_to_keep:
          type: object
          required:
            - consent_to_keep
            - explicit_consent
            - person_informed_how_to_exercise_their_rights
          properties:
            consent_to_keep:
              type:
                - string
                - 'null'
              description: Consent to keep status
              enum:
                - UNKNOWN
                - CONSENT_GIVEN
                - PENDING
                - TO_BE_FORGOTTEN
                - CONTRACT
                - LEGITIMATE_INTEREST
            explicit_consent:
              type:
                - string
                - 'null'
              description: Explicit consent
              enum:
                - UNKNOWN
                - 'YES'
                - 'NO'
            person_informed_how_to_exercise_their_rights:
              type:
                - string
                - 'null'
              description: Person informed how to exercise their rights
              enum:
                - LINK_CANDIDATE_PORTAL_SENT
                - VERBALLY
                - OTHER
            request_through:
              type:
                - string
                - 'null'
              description: Request through
              enum:
                - EMAIL
                - ONLINE
                - VERBALLY
                - CANDIDATE_PORTAL
                - WRITTEN
                - OTHER
            request_through_date:
              type:
                - string
                - 'null'
              description: 'Request through date. Must be in this format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''". That is required when request_through is not null'
            obtained_through:
              type:
                - string
                - 'null'
              description: Obtained through
              enum:
                - EMAIL
                - ONLINE
                - VERBALLY
                - CANDIDATE_PORTAL
                - WRITTEN
                - OTHER
            obtained_through_date:
              type:
                - string
                - 'null'
              description: 'Obtained through date. Must be in this format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''". That is required when obtained_through is not null'
            obtained_by:
              type:
                - number
                - 'null'
              description: ID of users in system. Who's sent consent request to candidate.
            expires:
              type:
                - string
                - 'null'
              description: Expires
              enum:
                - 'YES'
                - 'NO'
            expires_date:
              type:
                - string
                - 'null'
              description: 'Expires date. Must be in this format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''". That is required when expires is YES'
            note:
              $ref: '#/components/schemas/contact_detail/properties/note'
        right_to_represent:
          required:
            - right_to_represent
          $ref: '#/components/schemas/candidate_gdpr_details_response/properties/right_to_represent'
    candidate_gdpr_details_response:
      type: object
      properties:
        consent_to_keep:
          type: object
          properties:
            consent_to_keep:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/consent_to_keep'
            explicit_consent:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/explicit_consent'
            person_informed_how_to_exercise_their_rights:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/person_informed_how_to_exercise_their_rights'
            request_through:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/request_through'
            request_through_date:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/request_through_date'
            obtained_through:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/obtained_through'
            obtained_through_date:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/obtained_through_date'
            obtained_by:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/obtained_by'
            expires:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/expires'
            expires_date:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/expires_date'
        right_to_represent:
          type: object
          properties:
            right_to_represent:
              $ref: '#/components/schemas/candidate_search_matrix_vars_get_res/properties/result/properties/items/items/properties/right_to_represent'
            request_through:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/request_through'
            request_through_date:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/request_through_date'
            obtained_through:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/obtained_through'
            obtained_through_date:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/obtained_through_date'
            obtained_by:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/obtained_by'
            expires:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/expires'
            expires_date:
              $ref: '#/components/schemas/candidate_gdpr_details_request/properties/consent_to_keep/properties/expires_date'
            note:
              $ref: '#/components/schemas/contact_detail/properties/note'
    candidate_list_application_active_response:
      type: array
      items:
        type: object
        properties:
          candidate_id:
            $ref: '#/components/schemas/candidate_id_response/properties/id'
          job_id:
            $ref: '#/components/schemas/position_post_res/properties/id'
          job_title:
            $ref: '#/components/schemas/job/properties/job_title'
          company_id:
            $ref: '#/components/schemas/company_post_res/properties/id'
          company_name:
            $ref: '#/components/schemas/company_post_req/properties/company_name'
          application_id:
            $ref: '#/components/schemas/application_post_res/properties/id'
          stage:
            $ref: '#/components/schemas/position_id_application_stage_list_post_req/items'
          last_stage_date:
            type:
              - string
              - 'null'
            description: 'Last stage date. Must be in format "yyyy-MM-dd''T''HH:mm:ss.SSS''Z''"'
    candidate_encode_or_decode_id_response:
      type: object
      properties:
        content:
          type:
            - string
            - 'null'
          description: Based on input this will be decoded or encoded result
    candidate_compliance_setting_response:
      type: object
      properties:
        content:
          type: object
          properties:
            layouts:
              type: array
              description: elements in compliance setting
              items:
                type: object
                properties:
                  label:
                    type:
                      - string
                      - 'null'
                    description: Label of element
                  index:
                    $ref: '#/components/schemas/application_actions_post_req/properties/index'
                  entity:
                    $ref: '#/components/schemas/user_search_matrix_vars_get_res/properties/category'
                  tab_id:
                    type:
                      - number
                      - 'null'
                    description: Tab_id of tab on layout setting
                  layout_elements:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: object
                          description: field element in compliance setting
                          properties:
                            x:
                              type:
                                - number
                                - 'null'
                              description: Position x
                            'y':
                              type:
                                - number
                                - 'null'
                              description: Position y
                            w:
                              type:
                                - number
                                - 'null'
                              description: Element width
                            h:
                              type:
                                - number
                                - 'null'
                              description: Element height
                            required:
                              type:
                                - boolean
                                - 'null'
                              description: Required field
                            label:
                              $ref: '#/components/schemas/candidate_compliance_setting_response/properties/content/properties/layouts/items/properties/label'
                            category:
                              type:
                                - string
                                - 'null'
                              description: Category of fields
                              enum:
                                - static_field
                                - custom_field
                                - sub_heading
                                - whitespace
                                - core_field
                            category_core:
                              type:
                                - string
                                - 'null'
                              description: Category of core fields
                            editable:
                              type:
                                - boolean
                                - 'null'
                              description: Status of field edit or none edit
                            entity:
                              $ref: '#/components/schemas/user_search_matrix_vars_get_res/properties/category'
                            configurable_form_field_id:
                              type:
                                - number
                                - 'null'
                              description: ID of custom field
                            core_field_id:
                              type:
                                - number
                                - 'null'
                              description: ID of core field
                            layout_field_type:
                              type:
                                - string
                                - 'null'
                              description: Type of field
                              enum:
                                - TEXT_FIELD
                                - TEXT_AREA
                                - DATE_PICKER
                                - DROP_DOWN
                                - MULTIPLE_SELECTION
                                - CHECK_BOXES
                                - RADIO_BUTTON
                                - TABLE
                            label_language_code:
                              type:
                                - string
                                - 'null'
                              description: Code of label of element
                            parent_id:
                              $ref: '#/components/schemas/invoice_id_get_res/properties/parent_id'
                            sub_heading_id:
                              type:
                                - integer
                                - 'null'
[...]
